Subject: bug#43396: 27.1; Customized "cursor" face has no effect in daemon mode

From: Teemu Likonen <[email-masked]>
Date: Mon, 28 Jun 2021 21:47:24 +0300

* 2021-06-28 20:24:24+0300, Eli Zaretskii wrote:

> And if, instead of custom-set-faces, you use
>
>   (add-to-list 'default-frame-alist '(cursor-color . #0f0))

That works -- using the string "#0f0". The client session now has a
cursor with background color "#0f0".

I sent my original report about "Customized 'cursor' face" after reading
Emacs reference manual section "(emacs) Cursor Display". It says:

    On a graphical display, many more properties of the text cursor can be
    altered. To customize its color, change the ‘:background’ attribute of
    the face named ‘cursor’ (*note Face Customization::).

It seems to me that it's a bug if customizing cursor face doesn't work.
It would be odd to define that a feature, so that in normal session we
customize cursor face's background and in daemon we must use
default-frame-alist variable instead.